ACTextInternal::Topic Struct Reference

Internal: a topic of a ACText. More...

## Public Member Functions

| Topic ()
| constructor More...
bool | valid () const
| return true if the topic is valid More...

## Public Attributes

int | m_depth
| the node depth More...
int | m_type
| the node type: 1=text, 2=graphic More...
int | m_hidden
| the number of time a topic is hidden by its parents More...
bool | m_pageBreak
| true if a page break exists before the topic More...
MWAWFont | m_font
| the line font More...
MWAWColor | m_labelColor
| the label color More...
MWAWEntry | m_data
| the data entries(text or graphic) More...
MWAWEntry | m_fonts
| the fonts entries(for text) More...
MWAWEntry | m_auxi
| an auxialliary entry(unknown) More...
std::string | m_extra
| extra More...

## Friends

std::ostream & | operator<< (std::ostream &o, Topic const &topic)
| operator<< More...

## Detailed Description

Internal: a topic of a ACText.

## Constructor & Destructor Documentation

ACTextInternal::Topic::Topic | ( |  | ) |

inline

constructor

## Member Function Documentation

bool ACTextInternal::Topic::valid | ( |  | ) | const

inline

return true if the topic is valid

Referenced by ACText::readTopic().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Topic const & | topic
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWEntry ACTextInternal::Topic::m_auxi

an auxialliary entry(unknown)

Referenced by ACText::sendTopic().

MWAWEntry ACTextInternal::Topic::m_data

the data entries(text or graphic)

Referenced by ACText::sendGraphic(), ACText::sendText(), and ACText::sendTopic().

int ACTextInternal::Topic::m_depth

the node depth

Referenced by ACText::readTopic(), ACText::sendTopic(), and valid().

std::string ACTextInternal::Topic::m_extra

extra

Referenced by ACText::readTopic().

MWAWFont ACTextInternal::Topic::m_font

the line font

Referenced by ACText::readTopic(), and ACText::sendTopic().

MWAWEntry ACTextInternal::Topic::m_fonts

the fonts entries(for text)

Referenced by ACText::sendText().

int ACTextInternal::Topic::m_hidden

the number of time a topic is hidden by its parents

Referenced by ACText::readTopic().

MWAWColor ACTextInternal::Topic::m_labelColor

the label color

Referenced by ACText::readTopic().

bool ACTextInternal::Topic::m_pageBreak

true if a page break exists before the topic

Referenced by ACText::readTopic(), and ACText::sendTopic().

int ACTextInternal::Topic::m_type

the node type: 1=text, 2=graphic

Referenced by ACText::readTopic(), ACText::sendTopic(), and valid().

The documentation for this struct was generated from the following file:

- ACText.cxx